Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 587326 - claws-mail-plugins-pgp: Requires: pinentry-gui instead?
claws-mail-plugins-pgp: Requires: pinentry-gui instead?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: claws-mail (Show other bugs)
21
All Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
: Reopened
Depends On: 981923
Blocks: 587337
  Show dependency treegraph
 
Reported: 2010-04-29 11:40 EDT by Rex Dieter
Modified: 2015-02-04 03:03 EST (History)
3 users (show)

See Also:
Fixed In Version: claws-mail-3.11.1-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-04 02:57:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2010-04-29 11:40:07 EDT
I see claws-mail-plugins-pgp currently,
Requires: pinentry-gtk

Any objections to making this more flexible with
Requires: pinentry-gui
instead (which can be satisfied by any available gui, like -gtk or -qt)?
Comment 1 Andreas Bierfert 2010-04-29 17:11:32 EDT
I don't see why not. The decision was once based upon the fact that claws-mail is gtk based. However, I don't see the need for strictly requiring it. If it is not urgent I will push this with the next upgrade of claws.
Comment 2 Rex Dieter 2010-04-30 08:03:46 EDT
Thanks, no rush, that will work nicely.
Comment 3 Bug Zapper 2010-07-30 07:30:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Michael Schwendt 2011-01-29 07:57:21 EST
$ rpm -qR claws-mail-plugins-pgp|grep pin
pinentry-gui  
$ rpm -q claws-mail-plugins-pgp 
claws-mail-plugins-pgp-3.7.8-3.fc14.x86_64
Comment 5 Michael Schwendt 2013-07-09 03:19:50 EDT
This needs reconsideration because of bug 981923 (pinentry-qt doesn't work / PGP plugin does not prompt for password).

Claws Mail will likely stay gtk2 based for some time, so if the dependency were changed back from pinentry-gui to pinentry-gtk, that wouldn't pull in anything unusual.

The /usr/bin/pinentry wrapper script prefers pinentry-qt when KDE is active. Else it prefers pinentry-gtk.
Comment 6 Fedora End Of Life 2015-01-09 16:43:35 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Michael Schwendt 2015-01-10 07:29:59 EST
pinentry-qt-0.8.3-7.fc21.x86_64

here works again. Question:

Change to virtual  pinentry-gui  dependency again?
Comment 8 Andreas Bierfert 2015-01-15 11:30:05 EST
Does this work on >f21 or >f20? Otherwise I am all for going back to -gui...
Comment 9 Michael Schwendt 2015-01-16 01:08:41 EST
>f20

Whether it will work again also on >f19 I will check throughout the day. f20 is at pinentry-0.8.3-4.fc20 (slightly older pkg release), but I dunno which component has been fixed to make this work again.
Comment 10 Andreas Bierfert 2015-01-16 03:50:50 EST
Thanks Michael, once you get back I will adjust the spec accordingly.
Comment 11 Michael Schwendt 2015-01-16 08:04:54 EST
So, a clean install of F20 is still broken, but not anymore after applying all Updates. => The fix is somewhere in F20 Updates.

I test within Openbox, btw.
Comment 12 Fedora Update System 2015-01-18 15:20:29 EST
claws-mail-3.11.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-3.11.1-3.fc20
Comment 13 Fedora Update System 2015-01-18 15:20:44 EST
claws-mail-3.11.1-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/claws-mail-3.11.1-3.fc21
Comment 14 lnie 2015-01-19 00:13:36 EST
claws-mail-3.11.1-3.fc21 works
Comment 15 Fedora Update System 2015-01-20 16:08:22 EST
Package claws-mail-3.11.1-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing claws-mail-3.11.1-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0957/claws-mail-3.11.1-3.fc20
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2015-02-04 02:57:43 EST
claws-mail-3.11.1-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-02-04 03:03:56 EST
claws-mail-3.11.1-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.